Target category products
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-target-categories-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "N-5xt3e",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-target-categories-products"
payload = {
"category": "N-5xt3e",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({category: 'N-5xt3e', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-target-categories-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "target_categories_products",
"category": "N-5xt3e",
"category_id": "5xt3e",
"sort": "featured",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Target category products\n\n- **Category:** 5xt3e\n- **Sort:** featured\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 119.3 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "87922554",
"url": "https://www.target.com/p/unique-bargains-aquarium-fish-supply-foam-sponge-filters-universal-8-27-height/-/A-87922554",
"alias": "unique-bargains-aquarium-fish-supply-foam-sponge-filters-universal-8-27-height",
"brand": "Unique Bargains",
"title": "Unique Bargains Aquarium Fish Supply Foam Sponge Filters Universal 8.27\" Height",
"price": 21.29,
"list_price": 28.39,
"currency": "USD",
"save_percent": 25,
"is_on_sale": true,
"image": "https://target.scene7.com/is/image/Target/GUEST_03effa15-5f58-4c18-9a2b-f973e1df9703",
"rating": 0,
"rating_count": 0,
"category_id": "b8w1i",
"parent_category_id": "5xt3e"
},
"items": [
{
"id": "87922554",
"url": "https://www.target.com/p/unique-bargains-aquarium-fish-supply-foam-sponge-filters-universal-8-27-height/-/A-87922554",
"alias": "unique-bargains-aquarium-fish-supply-foam-sponge-filters-universal-8-27-height",
"brand": "Unique Bargains",
"title": "Unique Bargains Aquarium Fish Supply Foam Sponge Filters Universal 8.27\" Height",
"price": 21.29,
"list_price": 28.39,
"currency": "USD",
"save_percent": 25,
"is_on_sale": true,
"image": "https://target.scene7.com/is/image/Target/GUEST_03effa15-5f58-4c18-9a2b-f973e1df9703",
"rating": 0,
"rating_count": 0,
"category_id": "b8w1i",
"parent_category_id": "5xt3e"
},
{
"id": "93037206",
"url": "https://www.target.com/p/tetra-bubbling-led-aquarium-kit-1gal-hexagon-shaped-with-color-changing-light-disc-aquarium-decor/-/A-93037206",
"alias": "tetra-bubbling-led-aquarium-kit-1gal-hexagon-shaped-with-color-changing-light-disc-aquarium-decor",
"brand": "Tetra",
"title": "Tetra Bubbling LED Aquarium Kit 1gal Hexagon Shaped with Color-Changing Light Disc Aquarium Decor",
"price": 31.49,
"list_price": 31.49,
"currency": "USD",
"save_percent": null,
"is_on_sale": false,
"image": "https://target.scene7.com/is/image/Target/GUEST_7fc81bb0-6f22-4c1a-9cf7-ef75ef8e7dd8",
"rating": 3,
"rating_count": 2,
"category_id": "jeogv",
"parent_category_id": "5xt3e"
}
],
"proxy_traffic_bytes": 122192
},
"total_points": 2
}E-commerce & Marketplaces
Target category products
List products of a Target category by browse node id or category URL with a sort order. 1 point per returned record.
POST
/
functions
/
v1
/
run-target-categories-products
Target category products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Category (N-id or category URL). e.g. N-5xt3e
Max items (up to 500)
Required range:
1 <= x <= 500Starting page
Required range:
x >= 1Sort by. Options: featured = Featured, price_low = Price: low to high, price_high = Price: high to low, rating = Highest rated, bestselling = Best selling, newest = Newest
Available options:
featured, price_low, price_high, rating, bestselling, newest Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.